Subject: Re: [PATCH 3/3] git-log.txt,rev-list-options.txt: put option blocks in proper order

From: Michael J Gruber <[email-masked]>
Date: Thu, 10 Mar 2011 08:50:07 +0100

Junio C Hamano venit, vidit, dixit 10.03.2011 00:38:
> Michael J Gruber <[email-masked]> writes:
> 
>> diff --git a/Documentation/git-log.txt b/Documentation/git-log.txt
>> index 48c1715..6ae57dc 100644
>> --- a/Documentation/git-log.txt
>> +++ b/Documentation/git-log.txt
>> @@ -77,12 +77,12 @@ Common diff options
>>  ~~~~~~~~~~~~~~~~~~~
>>  
>>  :git-log: 1
>> -include::diff-options.txt[]
>> -
>>  include::rev-list-options.txt[]
>>  
>>  include::pretty-formats.txt[]
>>  
>> +include::diff-options.txt[]
>> +
>>  include::diff-generate-patch.txt[]
> 
> This is wrong.  The title "Common diff options", telling the AsciiDoc that
> we are formatting for git-log manual page with ":git-log: 1" and inclusion
> of diff-options.txt form a single group.  With your patch, the "Common
> diff options" section will become ampty and makes AsciiDoc barf.
> 
> You would need _at least_ something like the attached patch on top, which
> for now I'll squash in.

Didn't I say "squashable series"? ;)

Seriously, I'm sorry for this blunder. I usually build Doc before
submitting Doc patches (and here more careful reading should have sufficed).

>  Documentation/git-log.txt |    8 ++++----
>  1 files changed, 4 insertions(+), 4 deletions(-)
> 
> diff --git a/Documentation/git-log.txt b/Documentation/git-log.txt
> index 6ae57dc..c43aa43 100644
> --- a/Documentation/git-log.txt
> +++ b/Documentation/git-log.txt
> @@ -73,14 +73,14 @@ produced by --stat etc.
>  	to be prefixed with "\-- " to separate them from options or
>  	refnames.
>  
> -Common diff options
> -~~~~~~~~~~~~~~~~~~~
> -
> -:git-log: 1
>  include::rev-list-options.txt[]
>  
>  include::pretty-formats.txt[]
>  
> +Common diff options
> +-------------------
> +
> +:git-log: 1
>  include::diff-options.txt[]
>  
>  include::diff-generate-patch.txt[]

Thanks, that's what I meant, and I also meant to mark 3/3 as PATCH/RFC
because it's a larger change in the Doc for a main command.

Michael